<template>
  <section>
    <PageCard>
      <FiveEos
        :ownerKey="publicOwnerKey"
        :activeKey="publicActiveKey"></FiveEos>
    </PageCard>
    <PageCard>
      <SwitchereBlock
        v-model="amount"
        :accountName="accountName"></SwitchereBlock>
    </PageCard>
    <PageCard>
      <PayByCrypto v-model="amount">
        <PageCard :bordering="false">
          <PayByEos
            :accountName="accountName"
            v-model="amount"
            :inputMemoDisabled="false"
            memo="Checkout 16Bit.Game!"></PayByEos>
        </PageCard>
      </PayByCrypto>
    </PageCard>
  </section>
</template>

<script>
  import PageCard from '~/components/UI/PageCard';
  import SwitchereBlock from './components/SwitchereBlock';
  import PayByEos from './components/PayByEos';
  import PayByCrypto from './components/PayByCrypto';
  import FiveEos from './components/5eos';

  export default {
    name: "existedAccount",
    data() {
      return {
        accountName: localStorage.getItem('accountname'),
        publicOwnerKey: '',
        publicActiveKey: '',
        amount: 5
      }
    },
    components: {
      PageCard,
      SwitchereBlock,
      PayByEos,
      PayByCrypto,
      FiveEos
    },
    methods: {
      async configureMemo() {
        const user = await this.$store.dispatch('signIn/checkUserName', {
          name: this.accountName,
          network: 'mainnet',
          needToCommit: false
        });
        if (user.data && user.data.permissions) {
          user.data.permissions.forEach(perm => {
            if (perm.perm_name === 'active') {
              const activePubKey = perm.required_auth.keys[0].key;
              this.publicActiveKey = activePubKey;
            }
            if (perm.perm_name === 'owner') {
              const ownerPubKey = perm.required_auth.keys[0].key;
              this.publicOwnerKey = ownerPubKey;
            }
          })
        }
      }
    },
    mounted() {
      this.accountName = localStorage.getItem('accountname');
      this.$store.commit('wallet/SET_TEMPACCOUNT_NAME', localStorage.getItem('accountname'));
      this.configureMemo();
    }
  }
</script>
